VERSION 5.00
Begin VB.Form frmMain 
   BackColor       =   &H00000000&
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   4950
   ClientLeft      =   15
   ClientTop       =   15
   ClientWidth     =   6240
   ClipControls    =   0   'False
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   4950
   ScaleWidth      =   6240
   StartUpPosition =   3  'Windows Default
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim dd As DirectDraw2 'Main DirectDraw Object

' Surfaces
Dim ddsFront As DirectDrawSurface2  ' Primary Surface
Dim ddsBack As DirectDrawSurface2 ' Back Buffer
'Descriptions
Dim ddsdFront As DDSURFACEDESC      ' Primary surface description
Dim ddsdBack As DDSURFACEDESC       ' Back Buffer Description
'Caps
Dim ddCaps As DDSCAPS               ' Capabilities for search
'Misc
Dim Running As Boolean              ' We are running ?


Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
'When we press escape, Stop the rendering loop
'(rendering loop is in Form_Load) and quit
'out. Check Form_Unload for Important info
'On quitting out.
If KeyCode = vbKeyEscape Then
    Running = False
    Unload Me
End If
End Sub

Private Sub Form_Load()
        'Create the DirectDraw device.
        DirectDrawCreate ByVal 0&, dd, Nothing
        ' This app is full screen and will change the display mode
        ' Set the app to EXCLUSIVE (removes taskbar, and makes it TOP MOST)
        dd.SetCooperativeLevel frmMain.hWnd, DDSCL_EXCLUSIVE Or DDSCL_FULLSCREEN
        ' Set the display mode to 640x480 with 16bit colours
        dd.SetDisplayMode 640, 480, 16, 0, 0
        'This section sets the description structure
        'which needs to be set so that the CreateSurface
        'function knows what type the surface is.
        With ddsdFront
            ' Structure size
            'This is so the function knows how much
            'memory to read.
            .dwSize = Len(ddsdFront)
            ' Use DDSD_CAPS and BackBufferCount
            .dwFlags = DDSD_CAPS Or DDSD_BACKBUFFERCOUNT
            ' Its a Primary, flipable surface
            .DDSCAPS.dwCaps = DDSCAPS_PRIMARYSURFACE Or DDSCAPS_FLIP Or DDSCAPS_COMPLEX Or DDSCAPS_SYSTEMMEMORY
            ' It has One back buffer
            .dwBackBufferCount = 1
        End With
        ' Create front buffer using the Description
        ' structure defined above.
        dd.CreateSurface ddsdFront, ddsFront, Nothing
    
        ' Set the Search Options to the Back Buffer
        ' Object.
        ddCaps.dwCaps = DDSCAPS_BACKBUFFER
        ' Attach the surface ddsBack to the
        ' Primary surface as the back buffer.
        ddsFront.GetAttachedSurface ddCaps, ddsBack
        ' Show the form
        frmMain.Show
        ' Set us running.
        Running = True
        Do Until Running = False
            ' Get any key presses
            DoEvents
        Loop
End Sub

Private Sub Form_Unload(Cancel As Integer)
    'IMPORTANT: You must set your objects to nothing before you
    'Leave or you will lose memory and stack space
    
    'Flip The Current Surface to windows
    dd.FlipToGDISurface
    'Restore our old display mode
    dd.RestoreDisplayMode
    'Reset back to normal mode.
    dd.SetCooperativeLevel frmMain.hWnd, DDSCL_NORMAL
    'Free memory.
    'NOTE: You must set the backbuffer to nothing
    'before the primary surface, otherwise your program
    'will crash and you will lose all the memory
    'currently allocated.
    Set ddsBack = Nothing
    Set ddsFront = Nothing
    'Finally reclaim the memory allocated to the
    'DirectDraw device. This must be done last.
    Set dd = Nothing
End Sub
